Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.properties
Class ColorProperty.Maker

    java.lang.Object
      org.apache.fop.fo.properties.PropertyMaker
          org.apache.fop.fo.properties.ColorProperty.Maker

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  ColorProperty

    public static class ColorProperty.Maker

extends PropertyMaker

Inner class for creating instances of ColorTypeProperty

Field Summary

Fields inherited from class org.apache.fop.fo.properties.PropertyMaker
`contextDep, corresponding, defaultProperty, defaultValue, propId, setByShorthand`

Constructor Summary
`ColorProperty.Maker(int propId)`

Method Summary
`Property` | `convertProperty(Property p, PropertyList propertyList, FObj fo)` Return a ColorProperty object based on the passed Property object.

Methods inherited from class org.apache.fop.fo.properties.PropertyMaker
`addEnum, addKeyword, addShorthand, addSubpropMaker, checkEnumValues, checkValueKeywords, clone, compute, convertPropertyDatatype, convertShorthandProperty, findProperty, get, getName, getPercentBase, getPropId, getShorthand, getSubprop, getSubpropMaker, isInherited, make, make, make, makeNewProperty, setByShorthand, setCorresponding, setDatatypeParser, setDefault, setDefault, setInherited, setPercentBase, setSubprop, useGeneric`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorProperty.Maker

    public ColorProperty.Maker(int propId)

Parameters:
  `propId` - the id of the property for which a Maker should be created

Method Detail

### convertProperty

    public Property convertProperty(Property p,
                                    PropertyList propertyList,
                                    FObj fo)
                             throws PropertyException

  Return a ColorProperty object based on the passed Property object. This method is called if the Property object built by the parser isn't the right type for this property.

  Overrides:
    `convertProperty` in class `PropertyMaker`
  Parameters:
    `p` - The Property object return by the expression parser
    `propertyList` - The PropertyList object being built for this FO.
    `fo` - The parent FO for the FO whose property is being made.
  Returns:
    A Property of the correct type or null if the parsed value can't be converted to the correct type.
  Throws:
    `PropertyException` - for invalid or inconsistent FO input

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.